ca90d7141b4da92c5110974f3846f1b7c2b712de
[xfstests-dev.git] / 092
1 #! /bin/sh
2 #
3 #-----------------------------------------------------------------------
4 # Copyright (c) 2000-2004 Silicon Graphics, Inc.  All Rights Reserved.
5 #
6 # This program is free software; you can redistribute it and/or
7 # modify it under the terms of the GNU General Public License as
8 # published by the Free Software Foundation.
9 #
10 # This program is distributed in the hope that it would be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, write the Free Software Foundation,
17 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
18 #
19 #-----------------------------------------------------------------------
20 #
21 # FS QA Test No. 092
22 #
23 # Make sure that we can mount inode64 filesystems
24 #
25 # creator
26 owner=nathans@sgi.com
27
28 seq=`basename $0`
29 echo "QA output created by $seq"
30
31 here=`pwd`
32 tmp=/tmp/$$
33 status=1        # failure is the default!
34 trap "_cleanup; exit \$status" 0 1 2 3 15
35
36 _cleanup()
37 {
38     cd /
39     rm -f $tmp.*
40 }
41
42 # get standard environment, filters and checks
43 . ./common.rc
44 . ./common.filter
45
46 # real QA test starts here
47
48 # Modify as appropriate.
49 _supported_fs xfs
50 _supported_os IRIX Linux
51 _require_scratch
52 _require_nobigloopfs
53
54 MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
55 _scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
56 echo Silence is golden
57
58 _scratch_mount
59 [ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
60
61 # success, all done
62 status=0
63 exit